Subject: Re: linux-next: Tree for Apr 22 (adjust_autoksyms.sh)

From: Stephen Rothwell <[email-masked]>
Date: Tue, 26 Apr 2016 23:07:43 +1000

Hi Michal,

On Tue, 26 Apr 2016 13:19:40 +0200 Michal Marek <[email-masked]> wrote:
>
> On 2016-04-23 00:55, Randy Dunlap wrote:
> > On 04/22/16 12:44, Nicolas Pitre wrote:  
> >> On Fri, 22 Apr 2016, Nicolas Pitre wrote:
> >>  
> >>> On Fri, 22 Apr 2016, Randy Dunlap wrote:
> >>>  
> >>>> Yes, this patch helps, but I think there is still a problem.
> >>>> I think that trim needs to be done after CONFIG_BUILD_DOCSRC and possibly
> >>>> after CONFIG_SAMPLES are built.  
> >>>
> >>> The later is already taken care of with commit dd92478a15.
> >>>  
> >>>> At least CONFIG_BUILD_DOCSRC seems to
> >>>> cause this error:
> >>>>
> >>>> Setup is 16508 bytes (padded to 16896 bytes).
> >>>> System is 6125 kB
> >>>> CRC 8aa70f94
> >>>> Kernel: arch/x86/boot/bzImage is ready  (#9)
> >>>> ERROR: "cn_del_callback" [Documentation/connector/cn_test.ko] undefined!
> >>>> ERROR: "cn_add_callback" [Documentation/connector/cn_test.ko] undefined!
> >>>> ERROR: "cn_netlink_send" [Documentation/connector/cn_test.ko] undefined!
> >>>> ../scripts/Makefile.modpost:91: recipe for target '__modpost' failed
> >>>> make[2]: *** [__modpost] Error 1  
> >>>
> >>> This one is indeed a problem.  
> >>
> >> Please try the following:  
> > 
> > Yes, this works.  Thanks.
> > 
> > Acked-by: Randy Dunlap <[email-masked]>
> > Tested-by: Randy Dunlap <[email-masked]>  
> 
> Applied to kbuild.git#kbuild.

Unfortunately, that was the commit I had to revert from linux-next
today - see my email report.  It breaks what looks like correct
additions to the block tree.

-- 
Cheers,
Stephen Rothwell